We just released our native n8n integration!ยป Try now
OnlyFans API

Cancel Data Export

Cancel a running data export. Only exports with status pending or in_progress can be cancelled.

DELETE
/api/data-exports/{data_export_id}
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

data_export_id*string

The prefixed ID of the data export

Response Body

application/json

curl -X DELETE "https://app.onlyfansapi.com/api/data-exports/data_export_abc123"
{
  "data": {
    "id": "data_export_abc123xyz789",
    "status": "cancelled",
    "message": "Data export has been cancelled."
  },
  "_meta": {
    "_credits": {
      "used": 0,
      "balance": 9500,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4998,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}